
QGIS Application - Bug report #12440

QGIS server: GetPrint command bbox problem

2015-03-24 09:57 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20609

Description

With current master, the GetPrint command has a regression.

With the following extent parameter: extent=696390.2,245232.4,696579.2,245479.4

it reports the following error:

<ServiceExceptionReport xmlns="http://www.opengis.net/ogc" version="1.3.0">

<ServiceException code="InvalidParameterValue">Invalid BBOX parameter</ServiceException>

</ServiceExceptionReport>

It probably has to do with the most recent QGIS server commits where bbox stuff was changed on March 20, 2015.

Associated revisions

Revision 6309dbd1 - 2015-03-24 08:48 PM - Jürgen Fischer

server: accept empty bbox as valid (followup 57046c5, fixes #12440)

History

#1 - 2015-03-24 01:13 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"6309dbd15bfcda20eb4f765f5771ce8d842836bb".
